package com.simuwang.base.event;

import org.springframework.context.ApplicationEventPublisher;
import org.springframework.stereotype.Component;

@Component
public class CalcFundRankPublisher {

    private final ApplicationEventPublisher applicationEventPublisher;

    public CalcFundRankPublisher(ApplicationEventPublisher applicationEventPublisher) {
        this.applicationEventPublisher = applicationEventPublisher;
    }

    public void publishEvent(CalcFundRankEventDO calcFundRankEventDO) {
        CalcFundRankEvent calcFundRankEvent = new CalcFundRankEvent(this, calcFundRankEventDO);
        applicationEventPublisher.publishEvent(calcFundRankEvent);
    }

}
