package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.TradeDateDO;
import com.smppw.common.pojo.IndexesTradeDate;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * FileName: TradeDateMapper
 * Author:   chenjianhua
 * Date:     2024/9/18 23:08
 * Description: ${DESCRIPTION}
 */
@Mapper
public interface TradeDateMapper {
    List<TradeDateDO> selectTradeDate(@Param("startDate") String inceptionDate,@Param("endDate")  String today);

    List<TradeDateDO> queryByDate(@Param("dateList") List<String> dateList);

    List<TradeDateDO> listNatureDays();

    List<IndexesTradeDate> listAllNatureDays();

    List<TradeDateDO> listAllTradeDate(@Param("date")  String date);
}
